Retrieve workflows
curl --request GET \
--url https://api.hubapi.com/automation/2026-09-beta/flows \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/2026-09-beta/flows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/2026-09-beta/flows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"flowType": "ACTION_SET",
"id": "<string>",
"isEnabled": true,
"objectTypeId": "<string>",
"revisionId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"uuid": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Workflows
Retrieve workflows
Retrieve a list of automation flows available in your HubSpot account. This endpoint supports pagination to navigate through large sets of flows, allowing you to specify the number of results per page and to continue from a specific point in the list using a cursor token.
GET
/
automation
/
2026-09-beta
/
flows
Retrieve workflows
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2private_apps
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
The maximum number of results to display per page.
Last modified on March 31, 2026
Was this page helpful?